org.apache.solr.client.solrj.request

## Enum CollectionApiMapping.ConfigSetMeta

- java.lang.Object
- - java.lang.Enum<CollectionApiMapping.ConfigSetMeta>
  - - org.apache.solr.client.solrj.request.CollectionApiMapping.ConfigSetMeta

All Implemented Interfaces:
  Serializable, Comparable<CollectionApiMapping.ConfigSetMeta>, CollectionApiMapping.CommandMeta

Enclosing class:
  CollectionApiMapping

    public static enum CollectionApiMapping.ConfigSetMeta
    extends Enum<CollectionApiMapping.ConfigSetMeta>
    implements CollectionApiMapping.CommandMeta

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CREATE`
`DEL`
`LIST`

### Field Summary

Fields
`ConfigSetParams.ConfigSetAction` `action`
`String` `cmdName`
`CollectionApiMapping.ConfigSetEndPoint` `endPoint`
`SolrRequest.METHOD` `method`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`CollectionApiMapping.V2EndPoint` `getEndPoint()`
`SolrRequest.METHOD` `getHttpMethod()` the http method supported by this command
`String` `getName()`
`static CollectionApiMapping.ConfigSetMeta` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CollectionApiMapping.ConfigSetMeta[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.request.CollectionApiMapping.CommandMeta

`getParamNames, getParamSubstitute`

### Enum Constant Detail

#### LIST

    public static final CollectionApiMapping.ConfigSetMeta LIST

#### CREATE

    public static final CollectionApiMapping.ConfigSetMeta CREATE

#### DEL

    public static final CollectionApiMapping.ConfigSetMeta DEL

### Field Detail

#### endPoint

    public final CollectionApiMapping.ConfigSetEndPoint endPoint

#### method

    public final SolrRequest.METHOD method

#### cmdName

    public final String cmdName

#### action

    public final ConfigSetParams.ConfigSetAction action

### Method Detail

#### values

    public static CollectionApiMapping.ConfigSetMeta[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CollectionApiMapping.ConfigSetMeta c : CollectionApiMapping.ConfigSetMeta.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CollectionApiMapping.ConfigSetMeta valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getName

    public String getName()

Specified by:
  `getName` in interface `CollectionApiMapping.CommandMeta`

#### getHttpMethod

    public SolrRequest.METHOD getHttpMethod()

Description copied from interface: `CollectionApiMapping.CommandMeta`
the http method supported by this command

Specified by:
  `getHttpMethod` in interface `CollectionApiMapping.CommandMeta`

#### getEndPoint

    public CollectionApiMapping.V2EndPoint getEndPoint()

Specified by:
  `getEndPoint` in interface `CollectionApiMapping.CommandMeta`